Bug 188601 - Review Request: ltsp-utils
Review Request: ltsp-utils
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-11 13:11 EDT by Joost Soeterbroek
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-23 09:27:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file cleanings, use macros (945 bytes, patch)
2006-04-22 20:02 EDT, Patrice Dumas
no flags Details | Diff

  None (edit)
Description Joost Soeterbroek 2006-04-11 13:11:52 EDT
Spec URL: http://www.soeterbroek.com/linux/fedora/extras/ltsp-utils/ltsp-utils.spec
SRPM URL: http://www.soeterbroek.com/linux/fedora/extras/ltsp-utils/ltsp-utils-0.22-1.src.rpm
Description: Linux Terminal Server Project (ltsp.org) utilities for installing and configuring an LTSP server.
Comment 1 Joost Soeterbroek 2006-04-11 13:14:24 EDT
This package has Requires on a number of perl modules, most of which are not yet
included as packages in FE:

[x]  perl-Getopt-Long
[x]  perl-IO-Socket
[V]  perl-libwww-perl
[V]  perl-URI
[x]  perl-Digest-MD5
[x]  perl-Term-Cap


Comment 2 Paul Howarth 2006-04-11 13:18:58 EDT
(In reply to comment #1)
> This package has Requires on a number of perl modules, most of which are not yet
> included as packages in FE:
> 
> [x]  perl-Getopt-Long
> [x]  perl-IO-Socket
> [V]  perl-libwww-perl
> [V]  perl-URI
> [x]  perl-Digest-MD5
> [x]  perl-Term-Cap

perl(Getopt::Long), perl(IO::Socket), perl(Digest::MD5), and perl(Term::Cap) are
all provided by the main perl package in Core.

perl-libwww-perl and perl-URI are both in Core.
Comment 3 Warren Togami 2006-04-11 14:09:57 EDT
This may potentially be in conflict with K12LTSP, so please coordinate with Eric
Harrison and other K12LTSP people and obtain confirmation, integrate any
necessary changes, or maybe an entirely different package is needed.

This is a blocker.
Comment 4 Joost Soeterbroek 2006-04-11 14:57:10 EDT
I have contacted Eric Harrison to see if and where there may be a confilct with
K12LTSP.
Comment 5 Eric Harrison 2006-04-11 16:36:21 EDT
Looks good to me.

I considered this a while back when packaging LTSP for K12LTSP. Adding the
ltsp-utils package to FE will not cause a problem for existing K12LTSP
installations. In fact, I'll probably remove these files from my package and add
a requirement for this package.

Thanks for the heads-up!
Comment 6 Paul Howarth 2006-04-12 06:26:03 EDT
The manual perl deps would be better written as:

Requires: perl(LWP), perl(URI), perl(Digest::MD5), perl(Term::Cap)

These would work even if the modules were moved into differently-named packages.
Comment 7 Joost Soeterbroek 2006-04-12 09:16:40 EDT
(In reply to comment #3)
> This may potentially be in conflict with K12LTSP, so please coordinate with Eric
> Harrison and other K12LTSP people and obtain confirmation, integrate any
> necessary changes, or maybe an entirely different package is needed.
> 
> This is a blocker.

Please remove blocker #188611, see comment #5.

Comment 8 Joost Soeterbroek 2006-04-12 14:58:55 EDT
Spec URL: http://www.soeterbroek.com/linux/fedora/extras/ltsp-utils/ltsp-utils.spec
SRPM URL:
http://www.soeterbroek.com/linux/fedora/extras/ltsp-utils/ltsp-utils-0.22-2.src.rpm

* Wed Apr 12 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.22-2
- added Requires for perl(LWP), perl(URI), perl(Digest::MD5), perl(Term::Cap)
Comment 9 Paul Howarth 2006-04-12 15:52:44 EDT
(In reply to comment #8)
> * Wed Apr 12 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.22-2
> - added Requires for perl(LWP), perl(URI), perl(Digest::MD5), perl(Term::Cap)

The addition of the above deps means that the following can be removed:

Requires:  perl-libwww-perl
Requires:  perl-URI
Comment 10 Joost Soeterbroek 2006-04-12 16:08:03 EDT
Spec URL: http://www.soeterbroek.com/linux/fedora/extras/ltsp-utils/ltsp-utils.spec
SRPM URL:
http://www.soeterbroek.com/linux/fedora/extras/ltsp-utils/ltsp-utils-0.22-3.src.rpm

* Wed Apr 12 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.22-3
- removed Requires for perl-libwww-perl, perl-URI
Comment 11 Warren Togami 2006-04-12 16:31:49 EDT
I meant that contacting Eric Harrison to be sure this doesn't conflict was a
blocker.  That is now resolved.
Comment 12 Joost Soeterbroek 2006-04-22 06:03:56 EDT
Spec URL: http://www.soeterbroek.com/linux/fedora/extras/ltsp-utils/ltsp-utils.spec
SRPM URL:
http://www.soeterbroek.com/linux/fedora/extras/ltsp-utils/ltsp-utils-0.25-1.src.rpm

* Sat Apr 22 2006 <fedora@soeterbroek.com> - 0.25-1
- rebuild for upstream version 0.25

needs reviewer..
Comment 13 Patrice Dumas 2006-04-22 20:00:49 EDT
I attach a patch that adds a %clean section, use macros and with 
attr simplifications.
Comment 14 Patrice Dumas 2006-04-22 20:02:19 EDT
Created attachment 128119 [details]
spec file cleanings, use macros
Comment 16 Patrice Dumas 2006-04-23 08:30:54 EDT
* rpmlint silent
* source match upstream
* licence ok, included
* spec legible
* %clean section
* right files
* use macros onsistently

APPROVED
Comment 17 Joost Soeterbroek 2006-04-23 09:27:52 EDT
8116 (ltsp-utils): Build on target fedora-development-extras succeeded.
     Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-development-extras/8116-ltsp-utils-0.25-2/

Note You need to log in before you can comment on or make changes to this bug.